Bug 1187763 - [abrt] dnf: tracer.py:59:transaction:NameError: global name 'installed' is not defined
[abrt] dnf: tracer.py:59:transaction:NameError: global name 'installed' is no...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: dnf-plugins-extras (Show other bugs)
21
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Igor Gnatenko
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:699fef4af81794ebefb9bd0a012...
: Reopened
: 1192204 1208909 1241215 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-01-30 15:00 EST by Ingo Weiss
Modified: 2015-12-05 02:48 EST (History)
66 users (show)

See Also:
Fixed In Version: dnf-plugins-extras-0.0.5-4.fc22
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 1217768 (view as bug list)
Environment:
Last Closed: 2015-12-02 03:17:52 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (1.26 KB, text/plain)
2015-01-30 15:00 EST, Ingo Weiss
no flags Details
File: environ (2.25 KB, text/plain)
2015-01-30 15:00 EST, Ingo Weiss
no flags Details
Bug is present with es_CO languaje in F22 - langpacks-0.11.1-1.fc22.noarch already installed (64.48 KB, image/jpeg)
2015-10-07 12:55 EDT, friedinand
no flags Details

  None (edit)
Description Ingo Weiss 2015-01-30 15:00:47 EST
Version-Release number of selected component:
dnf-0.6.3-2.fc21

Additional info:
reporter:       libreport-2.3.0
cmdline:        /usr/bin/python -OO /bin/dnf install couchdb
dso_list:       dnf-plugins-extras-tracer-0.0.3-1.fc21.noarch
executable:     /bin/dnf
kernel:         3.18.3-201.fc21.x86_64
runlevel:       N 5
type:           Python
uid:            0

Truncated backtrace:
tracer.py:59:transaction:NameError: global name 'installed' is not defined

Traceback (most recent call last):
  File "/bin/dnf", line 36, in <module>
    main.user_main(sys.argv[1:], exit_code=True)
  File "/usr/lib/python2.7/site-packages/dnf/cli/main.py", line 182, in user_main
    errcode = main(args)
  File "/usr/lib/python2.7/site-packages/dnf/cli/main.py", line 84, in main
    return _main(base, args)
  File "/usr/lib/python2.7/site-packages/dnf/cli/main.py", line 141, in _main
    ret = resolving(cli, base)
  File "/usr/lib/python2.7/site-packages/dnf/cli/main.py", line 160, in resolving
    base.do_transaction()
  File "/usr/lib/python2.7/site-packages/dnf/cli/cli.py", line 221, in do_transaction
    self.plugins.run_transaction()
  File "/usr/lib/python2.7/site-packages/dnf/plugin.py", line 82, in fn
    dnf.util.mapall(operator.methodcaller(method), self.plugins)
  File "/usr/lib/python2.7/site-packages/dnf/util.py", line 157, in mapall
    return list(map(fn, *seq))
  File "/usr/lib/python2.7/site-packages/dnf-plugins/tracer.py", line 59, in transaction
    args = ["tracer", "-n"] + list(installed | erased)
NameError: global name 'installed' is not defined

Local variables in innermost frame:
self: <dnf.plugin.dynamic.tracer.Tracer object at 0x7fb3f4e1ccd0>
Comment 1 Ingo Weiss 2015-01-30 15:00:51 EST
Created attachment 986216 [details]
File: backtrace
Comment 2 Ingo Weiss 2015-01-30 15:00:52 EST
Created attachment 986217 [details]
File: environ
Comment 3 Radek Holy 2015-02-02 03:12:57 EST
I'm pretty sure that this is a bug in dnf-plugins-extras.
Comment 4 Radek Holy 2015-02-13 09:59:18 EST
*** Bug 1192204 has been marked as a duplicate of this bug. ***
Comment 5 Igor Gnatenko 2015-02-13 10:07:07 EST
Thanks for report.

Fixed in master branch.

https://github.com/rpm-software-management/dnf-plugins-extras/commit/379b051cc06f61124b19329d093f140bf8e05e3f
Comment 6 James Begley 2015-02-20 14:01:32 EST
I'm still getting this error with dnf-plugins-extras 0.0.4

[root@purplevaio james]# rpm -qa | grep dnf
dnf-0.6.4-1.fc21.noarch
dnf-plugins-extras-common-0.0.4-1.fc21.noarch
dnf-plugins-core-0.1.5-1.fc21.noarch
dnf-plugins-extras-tracer-0.0.4-1.fc21.noarch

Traceback (most recent call last):
  File "/usr/bin/dnf", line 36, in <module>
    main.user_main(sys.argv[1:], exit_code=True)
  File "/usr/lib/python2.7/site-packages/dnf/cli/main.py", line 182, in user_main
    errcode = main(args)
  File "/usr/lib/python2.7/site-packages/dnf/cli/main.py", line 84, in main
    return _main(base, args)
  File "/usr/lib/python2.7/site-packages/dnf/cli/main.py", line 141, in _main
    ret = resolving(cli, base)
  File "/usr/lib/python2.7/site-packages/dnf/cli/main.py", line 160, in resolving
    base.do_transaction()
  File "/usr/lib/python2.7/site-packages/dnf/cli/cli.py", line 221, in do_transaction
    self.plugins.run_transaction()
  File "/usr/lib/python2.7/site-packages/dnf/plugin.py", line 82, in fn
    dnf.util.mapall(operator.methodcaller(method), self.plugins)
  File "/usr/lib/python2.7/site-packages/dnf/util.py", line 157, in mapall
    return list(map(fn, *seq))
  File "/usr/lib/python2.7/site-packages/dnf-plugins/tracer.py", line 59, in transaction
    args = ["tracer", "-n"] + list(installed | erased)
NameError: global name 'installed' is not defined
Comment 7 Fedora Update System 2015-02-27 08:15:38 EST
dnf-plugins-extras-0.0.5-1.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/dnf-plugins-extras-0.0.5-1.fc22
Comment 8 Fedora Update System 2015-02-27 14:44:15 EST
Package dnf-plugins-extras-0.0.5-2.fc22:
* should fix your issue,
* was pushed to the Fedora 22 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing dnf-plugins-extras-0.0.5-2.fc22'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2015-2793/dnf-plugins-extras-0.0.5-2.fc22
then log in and leave karma (feedback).
Comment 9 Olivier Samyn 2015-02-28 11:04:47 EST
This has been pushed to fedora 22 testing, but the problem has been reported, and still occurs on fedora 21.
Comment 10 Fedora Update System 2015-02-28 11:41:39 EST
Package dnf-plugins-extras-0.0.5-3.fc22:
* should fix your issue,
* was pushed to the Fedora 22 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing dnf-plugins-extras-0.0.5-3.fc22'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2015-2793/dnf-plugins-extras-0.0.5-3.fc22
then log in and leave karma (feedback).
Comment 11 Fedora Update System 2015-03-22 00:29:26 EDT
Package dnf-plugins-extras-0.0.5-4.fc22:
* should fix your issue,
* was pushed to the Fedora 22 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing dnf-plugins-extras-0.0.5-4.fc22'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2015-2793/dnf-plugins-extras-0.0.5-4.fc22
then log in and leave karma (feedback).
Comment 12 Raman Gupta 2015-03-23 20:03:19 EDT
Is this going to be backported to F21?
Comment 13 Radek Holy 2015-04-07 06:19:44 EDT
*** Bug 1208909 has been marked as a duplicate of this bug. ***
Comment 14 Jakub Kadlčík 2015-04-07 08:54:56 EDT
> Is this going to be backported to F21?

I hope so, but @ignatenkobrain says that fixed version of dnf-plugin-extras needs newer version of DNF. I don't know how big the problem it is.
Comment 15 Fedora Update System 2015-04-21 15:10:46 EDT
dnf-plugins-extras-0.0.5-4.fc22 has been pushed to the Fedora 22 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 16 Olivier Samyn 2015-04-21 15:53:55 EDT
From the bug report description:

Product: 	Fedora
Component: 	dnf-plugins-extras (Show other bugs)
Version: 	21

This has been solved on fedora 22 not 21; so the problem is not solved and bug should not be closed.
Comment 17 Christian Stadelmann 2015-04-28 16:40:42 EDT
Same here. This bug still happens most times dnf with plugin tracer runs. Just look at the graph: https://retrace.fedoraproject.org/faf/reports/552490/
Comment 18 Kamil Páral 2015-05-06 09:08:15 EDT
Still happening with:
dnf-0.6.4-5.fc21.noarch
dnf-plugins-core-0.1.5-2.fc21.noarch
dnf-plugins-extras-common-0.0.4-1.fc21.noarch
dnf-plugins-extras-tracer-0.0.4-1.fc21.noarch
Comment 19 Mark T. Kennedy 2015-05-21 10:06:04 EDT
Another user experienced a similar problem:

did a "dnf check-update" command to see if it would work around 'yum check-update' problems with a set of ghc updates from updates-testing.

reporter:       libreport-2.3.0
cmdline:        /usr/bin/python -OO /usr/bin/dnf update
dso_list:       dnf-plugins-extras-tracer-0.0.4-1.fc21.noarch
executable:     /usr/bin/dnf
kernel:         4.0.4-200.fc21.x86_64
package:        dnf-0.6.4-5.fc21
reason:         tracer.py:59:transaction:NameError: global name 'installed' is not defined
runlevel:       N 5
type:           Python
uid:            0
Comment 20 Parag Nemade 2015-07-08 23:28:42 EDT
*** Bug 1241215 has been marked as a duplicate of this bug. ***
Comment 21 Raphael Groner 2015-08-27 06:15:24 EDT
I can reproduce this issue with dnf-plugins-extras-0.0.4-1.fc21.noarch, can you please provide an update for Fedora 21, as well?
Comment 22 Laurent Rineau 2015-09-15 06:25:56 EDT
I still have the issue on Fedora 21.

dnf-0.6.4-5.fc21.noarch
dnf-plugins-core-0.1.5-2.fc21.noarch
dnf-plugins-extras-common-0.0.4-1.fc21.noarch
dnf-plugins-extras-tracer-0.0.4-1.fc21.noarch

Can dnf-plugins-extras-0.0.5-4 be build also for Fedora 21?
Comment 23 friedinand 2015-10-07 12:55 EDT
Created attachment 1080746 [details]
Bug is present with es_CO  languaje in F22 - langpacks-0.11.1-1.fc22.noarch already installed

The bug persist in Fedora 22 with the dnf-langpacks-0.11.1-1.fc22.noarch already installed.
Comment 24 Fedora End Of Life 2015-11-04 10:21:00 EST
This message is a reminder that Fedora 21 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 21. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '21'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 21 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 25 J. Randall Owens 2015-11-21 01:18:27 EST
Is there any hope of getting this fixed before F21 is closed to updates forever? It would be kind of annoying breaking upgrade paths from anything prior to F21, using the suggested upgrade-to-every-release-in-sequence approach.
Comment 26 Davide Repetto 2015-11-22 03:05:15 EST
(In reply to J. Randall Owens from comment #25)

This is just to let you know that this bug does not interfere with the general functionalities of dnf and it does not hinder upgrades.

Tracer is an optional plugin which is not installed by default in Fedora ad it is executed only after dnf has completed all of its transactions and its failures can be safely ignored.

Anyway I would suggest to remove the <dnf-plugins-extras-tracer> and if need be, use <tracer> to provide the same functionality.
Comment 27 Fedora End Of Life 2015-12-02 03:18:18 EST
Fedora 21 changed to end-of-life (EOL) status on 2015-12-01. Fedora 21 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.